<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.35
Name: [4] Pielęgniarska skala oceny ADL
Description: Szablon CDA dla pielęgniarskiej skali oceny ADL
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000">
   <title>[4] Pielęgniarska skala oceny ADL</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]"
         id="tmp-r-ae5b8403-b213-4225-964a-11bf32c32f30">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-5b9dac82-2b02-4ceb-a542-a67ccadf18aa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingAdlAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingAdlAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingAdlAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&gt;=1 and not(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&gt;=1 and not(hl7:value[@code='10028224' or @code='10000956']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&gt;=1 and not(hl7:value[@code='10028708' or @code='10000987']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&gt;=1 and not(hl7:value[@code='10028333' or @code='10001046']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&gt;=1 and not(hl7:value[@code='10028322' or @code='10001005']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&gt;=1 and not(hl7:value[@code='10028314' or @code='10000994']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&gt;=1 and not(hl7:value[@code='10029240' or @code='10001067']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&gt;=1 and not(hl7:value[@code='10028253' or @code='10000973']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-e424f172-f907-48bc-b26b-ae379cd8f0c2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.35'">(plCdaNursingAdlAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.35'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id"
         id="tmp-r-4621786b-654d-455e-a307-94b787b29221">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]"
         id="tmp-r-5e9b4552-b279-4bdf-8a3f-d8e023d51fcb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SADL' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text"
         id="tmp-r-b013b7d6-a1d9-4036-800e-071cb879a2aa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text/hl7:reference"
         id="tmp-r-a2be0d10-9efa-4be8-8ddd-ca61b8c2eb6c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode"
         id="tmp-r-afed2e59-ae77-41b3-b9ab-2b07ce428c3a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime"
         id="tmp-r-9fe865d8-c546-4022-bc83-fd0252d20cbe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']"
         id="tmp-r-e2d20c25-21e8-46ca-a009-36c3a90774bc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.40-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoKapieli Zdolność do kąpieli (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.40-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoKapieli Zdolność do kąpieli (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier"
         id="tmp-r-22f0f402-12c2-44df-94eb-f1dd3fe84e67">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-f07fe192-5d2f-45b5-9016-f4fd67b5c46a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-c722a9b0-6af2-4e30-8612-82440c8dbf89">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']"
         id="tmp-r-81b0f524-2eb5-4899-92a6-faa1e215d4d6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.41-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoHigienyOsobistej Zdolność do higieny osobistej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.41-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoHigienyOsobistej Zdolność do higieny osobistej (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier"
         id="tmp-r-bc9a365e-7409-4cdf-bd72-03bff78d2be1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-0e7149ca-1166-4cf8-a0ed-0d56ab8fd283">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-7f91413c-33f2-4f2a-921b-a4330f22d6df">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']"
         id="tmp-r-5aa87006-9d0b-4984-8046-8e754ea1cbd5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.42-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoChodzenia Zdolność do chodzenia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.42-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoChodzenia Zdolność do chodzenia (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier"
         id="tmp-r-21975ecf-5926-4cdb-be8c-ce39dfb0f347">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-30cd90de-7218-4767-9c07-6cd3468d273b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-5394c001-3701-481a-a7d8-0c2241132f67">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']"
         id="tmp-r-3320e200-ced7-4111-a4f4-fac1b10e9c54">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.43-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoWyjsciaDoToalety Zdolność do wyjścia do toalety (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.43-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoWyjsciaDoToalety Zdolność do wyjścia do toalety (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier"
         id="tmp-r-ca365597-9f90-4ef7-bb8a-9db21b08dff1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-34d60266-a86e-4bbc-96b1-52bd2d31279a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-4f02ad16-aa0d-4844-bb99-58c8d9813870">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']"
         id="tmp-r-3cbe8142-36a8-45e6-8676-52846f14af01">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.44-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscKorzystaniaZToalety Zdolność korzystania z toalety (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.44-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscKorzystaniaZToalety Zdolność korzystania z toalety (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier"
         id="tmp-r-f854a608-fc48-4e46-8b29-0cf961b53a15">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-cb1ae24d-2ea5-416d-994e-d7ee9c59534f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-dd516116-79c4-43ce-8c72-88f715d39591">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']"
         id="tmp-r-91038159-7599-4c52-ba85-a37aeb8bc804">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.45-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoPoruszaniaWLozku Zdolność do poruszania w łóżku (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.45-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoPoruszaniaWLozku Zdolność do poruszania w łóżku (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier"
         id="tmp-r-746fbc39-fe93-4f54-a1ed-f2782dc111f8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-04342dd9-fc9f-41fa-8087-84b08e7676fb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-36ddfdce-d8b1-4d0a-8da9-744c7b03d8a9">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']"
         id="tmp-r-6ae93611-fbd2-436e-be43-f81ab68fb986">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.46-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoJedzenia Zdolność do jedzenia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.46-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoJedzenia Zdolność do jedzenia (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier"
         id="tmp-r-055370a9-72e0-4787-89fa-73df0b012780">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-8d26f452-9ac6-418b-bad4-ad705fc38c42">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-6d27cc17-6821-446e-b90c-33e35317b185">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
</pattern>
